package l11_io;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;

public class Copy {
	public static void main(String[] args) {
		String inputFile = (args.length > 0) ? args[0] : "Copy.java";
		String outputFile = (args.length > 1) ? args[1] : "CopyCopy.java";
		try(FileInputStream in = new FileInputStream(inputFile);
			FileOutputStream out = new FileOutputStream(outputFile)) {
			int c;
			while ((c = in.read()) != -1) {
				out.write(c);
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
